/**
 * Test case for renderSassMixin.
 * Runs with nodeunit.
 */

var renderSassMixin = require('../lib/render_sass_mixin.js'),
    path = require('path');

var basedir = path.resolve(__dirname, '..'),
    tmpDir = path.resolve(basedir, 'tmp');


exports['Get style.'] = function (test) {
    var style = renderSassMixin.style('foo', 'bar', ['baz', 'quz']);
    test.equal(style, "@import 'baz';@import 'quz';@include foo(bar);");
    test.done();
};


exports['Do render.'] = function (test) {
    var dest = path.resolve(tmpDir, 'foo/bar/testing-module-by-mix.css');
    renderSassMixin('my-style-module', ['#CDE'], dest, {
        imports: [
            'mock-module.scss'
        ],
        scss: true,
        basedir: __dirname + '/../docs/mockups'
    }, function (err) {
        test.ifError(err);
        test.done();
    });
};